Bug Hunting Session
Bug 51070 - BUGZILLA: Exclude obsolete Versions from Version picker
Summary: BUGZILLA: Exclude obsolete Versions from Version picker
Status: RESOLVED MOVED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-14 02:40 UTC by Rainer Bielefeld Retired
Modified: 2015-10-13 21:48 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-06-14 02:40:48 UTC
It seems AOOo Bugzilla found a way to suppress obsolete Versions in the Version picker, please try <https://issues.apache.org/ooo/show_bug.cgi?id=3790>
The old version is visible, but it's not possible to select one of the lots of old Versions you see in
Report <https://issues.apache.org/ooo/report.cgi?cumulate=0&resolution=---&y_axis_field=version&width=600&height=350&action=wrap&format=table>

We should get something similar, our LibO-Bugzilla-admins can set an "Donotshow" flag to more than 1 year old alpha and beta versions, what makes them invisible for new selections in pickers. But the admins have the possibility to assign also those obsolete Versions to bugs if necessary; I doubt that that will happen too often. 

If I do not hear objections I will forward this request to FDO admins.
Comment 1 Joel Madero 2012-06-17 20:10:44 UTC
We can already filter out based on version and date...not sure how useful this would be. Also no need to email FDO admins, we can edit the site ourselves. Maybe ask the devs in the mailing list if this would be helpful for them. Going to mark this as a WONTFIX as it's not really our bug.
Comment 2 Rainer Bielefeld Retired 2012-06-20 13:57:54 UTC
As far as I know this one will be fixed by a fix for Bug 50198

@Joel Madero:
I am one of the admins you recommend to ask, and I decided to reopen the Bug. You arguments have nothing to do with the intentions of this report
Comment 3 Rainer Bielefeld Retired 2012-06-20 13:59:56 UTC

*** This bug has been marked as a duplicate of bug 50198 ***
Comment 4 Florian Reisinger 2012-06-20 21:46:27 UTC
Blocked by #49610
Comment 5 Florian Reisinger 2012-06-20 21:47:29 UTC
Sorry: Depends on 50198 is right...
Comment 6 Rainer Bielefeld Retired 2012-06-20 22:51:19 UTC
Tower for Florian: What are your intentions? Currently I do not know any remaining problem after a fix for Bug 50198
Comment 7 bfoman (inactive) 2012-09-28 19:38:23 UTC
After the upgrade obsolete versions can be disabled.
Comment 8 Rainer Bielefeld Retired 2012-09-29 06:05:24 UTC
@bfoman:
I will attach some hints here how this new feature can/will be used in future for LibO
Comment 9 retired 2013-12-08 12:25:22 UTC
Freeing bug since rainer retired. We should takle this when setting up our own bugzilla instance.
Comment 10 bfoman (inactive) 2014-01-08 22:36:44 UTC
Back to NEW as bug lost owner.
Comment 11 retired 2014-07-21 09:46:39 UTC
I *think* this is fixed. I do not see any older versions than 4.1.0.4 listed.

Correct me please, if I'm mistaken. Setting to fixed.
Comment 12 retired 2014-07-21 09:47:34 UTC
Sorry for the noise. Totally confused this with BSA. This is about bugzilla.

More coffee needed in my system to assure proper functionality.
Comment 13 Dennis Roczek 2015-10-13 21:48:29 UTC
moving ticket to Redmine https://redmine.documentfoundation.org/issues/1512